:mod:`pynx.processing_unit`: detecting, initializing and using computing or graphical processing units
======================================================================================================

.. toctree::
   :maxdepth: 2

.. automodule:: pynx.processing_unit
   :members:

.. automodule:: pynx.processing_unit.opencl_device
   :members:

.. automodule:: pynx.processing_unit.cuda_device
   :members:
